/*
 * --------------------------------------------------
 * MNKR_TextCodeHelpMZ Ver.1.0.0
 * Copyright (c) 2020 Munokura
 * This software is released under the MIT license.
 * http://opensource.org/licenses/mit-license.php
 * --------------------------------------------------
 */

/*:
 * @target MZ
 * @url https://raw.githubusercontent.com/munokura/MNKR-MZ-plugins/master/MNKR_TextCodeHelpMZ.js
 * @plugindesc 文章の入力時に制御文字のコードをコピーしやすくヘルプを表示します。
 * @author munokura
 *
 * @help
 * 「文章の表示」に使用できる制御文字のヘルプ表示は非常に見づらいです。
 * また、RPGツクールMZで追加された制御文字はヘルプに追加されていません。
 * （v1.0.2現在）
 *
 * 文章の編集画面で右クリックすると「プラグインヘルプ」が出ます。
 * このプラグインのヘルプから制御文字をコピーすれば、打ち間違いも減ります。
 *
 * MZで追加された制御文字
 *
 * \PX[n]    行の文字位置をnピクセル分、横にずらす。
 * \PY[n]    行の文字位置をnピクセル分、縦にずらす。
 * \FS[n]    フォントサイズをnサイズにする。
 *
 *
 * MVから継続の制御文字
 *
 * \V[n]    変数 n 番の値に置き換えられます。
 * \N[n]    アクター n 番の名前に置き換えられます。
 * \P[n]    パーティーメンバー n 番の名前に置き換えられます。
 * \G       通貨単位に置き換えられます。
 * \C[n]    以降の文字色を n 番の色で表示します。※最下部に色番号表あり
 * \I[n]    アイコン n 番に置き換えられます。
 * \{       文字サイズを 1 段階大きくします。
 * \}       文字サイズを 1 段階小さくする。
 * \$       所持金のウィンドウを開きます。
 * \\       バックスラッシュに置き換えられます
 * \.       1/4 秒待ちます。
 * \|       1 秒待ちます。
 * \!       ボタンの入力を待ちます。
 * \>       同じ行にある文字を一瞬で表示します。
 * \<       文字を一瞬で表示する効果を取り消します。
 * \^       文章表示後の入力待ちをしません。
 *
 * プラグインコマンドや設定はありません。
 *
 *
 * 利用規約:
 *   MITライセンスです。
 *   https://ja.osdn.net/projects/opensource/wiki/licenses%2FMIT_license
 *   作者に無断で改変、再配布が可能で、
 *   利用形態（商用、18禁利用等）についても制限はありません。
 */
